# HPE StoreOnce

## Overview

HPE StoreOnce is another product that allows you to store backups from our Storware Backup & Recovery application. As with other providers, here we can also use NFS share.

### Example

To create NFS share from the StoreOnce dashboard, after login goes to StoreOnce -> NAS -> Shares on the left side tree menu. Next, click on the "Create" button in the top right.

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/O8jFiCbIfJIpvELdT5PM/deployment-backup_destinations-deduplication_appliances-hpe.jpg)

Only one change is required, the rest is optional and depends on your preferences.\
This is the "access protocol", you must select the NFS option.

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/7Ubb4tHbUf3TdzTGrkQq/deployment-backup_destinations-deduplication_appliances-hpe_2.jpg)

After creating it, you'll see a summary window. (remember "Network Path")

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/DudW53Xu9T4aslvr9U5w/deployment-backup_destinations-deduplication_appliances-hpe_3.jpg)

Now connect to the Storware Backup & Recovery node host:

* Create an NFS directory mount point

  `mkdir /directorypath`
* Mount NFS Share

  `mount -t nfs Storeonce_IP:/nas/sharename /mountdirectory`
* Check if you are connected with NFS Share

  `df -kh`

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/WED9JXptAjdbIgr1dBk5/deployment-backup_destinations-deduplication_appliances-hpe_4.jpg)

To permanently add NFS share, you must edit the /etc/fstab file\
`Storeonce_IP:/nas/sharename /mountdirectory nfs defaults 0 0`

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/GZboQLRuHXyg9d2PkBvr/deployment-backup_destinations-deduplication_appliances-hpe_5.jpg)

Now we can create a backup destination for our backups.\
Please log in to the Storware Backup & Recovery dashboard and go to the "Backup Destination" tab on the left side menu.\
Then choose "File system" from the list of backup destinations you can create.

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/bSo41LzXa6jyI35Vltjh/deployment-backup_destinations-deduplication_appliances-hpe_6.png)

You only need to enter the unique name of the backup destination and mount point as the storage path.

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/YR74sUkubgnbrpHmxJbF/deployment-backup_destinations-deduplication_appliances-hpe_7.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/deployment/backup-destinations/deduplication-appliances/hpe-storeonce.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
